Package Details: compton-git 2:565_3.rc1.2.g93dd2d9_2018.10.15-1

Git Clone URL: https://aur.archlinux.org/compton-git.git (read-only)
Package Base: compton-git
Description: X Compositor (a fork of xcompmgr-dana) (git-version)
Upstream URL: https://github.com/yshui/compton
Licenses: MIT, MPL2
Conflicts: compton
Provides: compton
Submitter: valr
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 341
Popularity: 0.754528
First Submitted: 2011-12-28 20:39
Last Updated: 2018-10-15 10:39

Required by (14)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

yshui commented on 2018-10-15 17:49

Cool. I guess I try just stop annotating the vNext tag. That should prevent it from showing up in git describe

WorMzy commented on 2018-10-15 12:21

Haha, don't worry about it. It's unusual for a project to use tags like this, but it's not unheard of. I've changed the way that the pkgver is generated, so it should increment as expected, regardless of whether the latest tag is.

yshui commented on 2018-10-15 11:43

Looking at the changelogs of the PKGBUILD, I noticed that my use of the vNext tag might have caused some trouble for the package maintainer.

My intention is to always use the vNext tag to track the latest commit, so I can use the github release system to keep track of the important changes I made. Besides that, there will also going to be version based tags (e.g. v3).

Now, that seems to create some difficulty in the pkgver handling. So I want to ask what is the packager's opinion on this. Is it fine if I keep using the vNext tag?

WorMzy commented on 2018-10-04 17:25

namcap is only an aide to packagers, some of it's warnings are fine to ignore. In this case, I feel it makes more sense to have the licence installed to a directory named after the project it is a license for, rather than the name of the package.

bidulock commented on 2018-10-04 17:07

You should install license file under /usr/share/licenses/${pkgname}, otherwise, namcap cannot find it.

WorMzy commented on 2018-10-04 12:57

Thanks for the heads up. If yshui has switched the default branch to next, then I feel that is the branch this package should be building from. It may be a bit more buggy, but if you want stability, then you should probably use community/compton anyway.

I'll try to get an updated PKGBUILD pushed out in the next few hours.

bidulock commented on 2018-10-04 11:48

Not really. I think you need #branch=master on the end of source=() now, because the new default branch is 'next'. Otherwise to build on the 'next' branch you will need 'libev' 'xcb-util-image' 'xcb-util-renderutil' and 'pixman' in depends=() and will have to no longer copy the LICENSE file in package=() (as it is no longer there).

Anthony25 commented on 2018-10-03 16:25

Hi, compton now needs libev to build.

ekce commented on 2018-05-21 08:50

Compton currently has a bug where video players will temporarily freeze while the audio continues playing.

I'm pretty sure this has been reported on the github more than once but here is the latest open issue on the bug: https://github.com/chjj/compton/issues/494

Moreover, compton is currently unmaintained so unless someone fixes it in a fork the issue is unlikely to be addressed. For now the only known fix seems to be to stop Compton while playing videos.

WorMzy commented on 2017-11-28 13:40

Ah, I thought you were getting a build failure due to the new libconfig. Yes, you will need to rebuild the package against the new library. Installing avkonarev's package is not a solution, it is a workaround.